Class List Method List File List

# Class: Concurrent::Synchronization::TruffleLockableObject

Inherits:
  AbstractLockableObject
  - Object
  - Object
  - AbstractLockableObject
  - Concurrent::Synchronization::TruffleLockableObject
  show all
Defined in:
  lib/concurrent/synchronization/truffle_lockable_object.rb

## Instance Method Summary (collapse)

- - (undocumented) new

## Constructor Details

This class inherits a constructor from Concurrent::Synchronization::Object

## Instance Method Details

### - (`undocumented`) new

Raises:

- (`NotImplementedError`)

    4
    5
    6

    # File 'lib/concurrent/synchronization/truffle_lockable_object.rb', line 4

    def new(*)
      raise NotImplementedError
    end